/* DEVELOPER: Anthony Quispilaya, IS117-003, Fall 2024 */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#main_content {
    padding: 3%;
    margin-bottom: 10%;
}



/* Jumbotron */
#jumbotron {
    background-image: url('https://images.pexels.com/photos/5477835/pexels-photo-5477835.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2');
    background-size: cover;
    height: 500px;
    background-position: center;
    background-repeat: no-repeat;
    border: rgb(201, 201, 201) 1px solid;
    display: flex;
    justify-content: center;
    align-items: center;
}

#jumbotron h1{
    background-color: rgba(0, 0, 0, 0.38);
    width: 100%;
    font-size: 100px !important;
    color: #ffffff;
    text-align: center;
}
/* END - Jumbotron */



/* Section Titles */
#aboutus_text h1 {
    border: solid 2px black;
    border-width: 0 0 5px 0;
    padding-bottom: 10px;
    margin: 0px 0% 50px 0%;
    border-radius: 5px;
}

#aboutus_text {
    padding: 25px 0 0px 0;
    width: 100%;
}

#information-text {
    border: rgb(0, 0, 0) 2px solid;
    border-width: 0 0 1px 0;
}
/* END - Section Titles */



/* Card Styling*/
.card-square {
    position: relative;
    width: 100%;
    padding-top: 100%;
    background-color: #212529 !important;
    color: rgb(255, 255, 255)
}

#clickable_card {
    background-color: rgb(0, 0, 0);
    color: rgb(255, 255, 255); 
    transition: background-color 0.3s, color 0.3s; 
}

#clickable_card h5 {
    color: rgb(255, 255, 255);
    transition: color 0.3s;
}

#clickable_card:hover {
    background-color: rgb(255, 255, 255) !important; 
    color: rgb(0, 0, 0) !important;
}

#clickable_card:hover h5 {
    color: rgb(0, 0, 0) !important;
}

.card-content h5 {
    transition: transform 0.3s ease; 
}

.card:hover .card-content h5 {
    transform: scale(1.2);
}

.card-content {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}
/* END - Card Styling*/



/* Media Queries */
@media (max-width: 576px) {
    #column-1 .card-square {
        max-width: 90%; /* Fill most of the screen */
        margin: 0 auto;
        
    }

    #column-2 img{
        margin-top: 100px;
    }
}
/* END - Media Queries */